package com.muyu.resource.controller;

import com.muyu.cloud.resource.domain.ResourceInfo;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.SysUser;
import com.muyu.resource.service.ResourceService;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

import static com.muyu.common.core.domain.Result.success;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.resource.controller
 * @Project：cloud-resource
 * @name：ResourceController
 * @Date：2024/8/10 10:35
 */
@RestController
@RequestMapping("/ResourceInfo")
public class ResourceController {

    @Autowired
    private ResourceService resourceService;



    @Log(title = "用户管理", businessType = BusinessType.IMPORT)
    @RequiresPermissions("Resource:ResourceInfo:import")
    @PostMapping("/importData")
    public Result importData (MultipartFile file, boolean updateSupport) throws Exception {
        ExcelUtil<ResourceInfo> util = new ExcelUtil<ResourceInfo>(ResourceInfo.class);
        List<ResourceInfo> resourceList = util.importExcel(file.getInputStream());
//        String operName = SecurityUtils.getUsername();
//        String message = resourceService.importResource(resourceList, updateSupport, operName);
        return Result.success(resourceList);

    }
    @PostMapping("/importTemplate")
    public void importTemplate (HttpServletResponse response) throws IOException {
        ExcelUtil<SysUser> util = new ExcelUtil<SysUser>(SysUser.class);
        util.importTemplateExcel(response, "用户数据");
    }


    @PostMapping("/upload")
    public void upload(HttpServletResponse response){



    }



}
